Bug 1044297 - [abrt] pcp-3.8.10-1: luaH_getstr: Process /var/lib/pcp/pmdas/rpm/pmdarpm was killed by signal 11 (SIGSEGV)
Summary: [abrt] pcp-3.8.10-1: luaH_getstr: Process /var/lib/pcp/pmdas/rpm/pmdarpm was ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stan Cox
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b2e45801fa788492c3f42f10c97...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 03:53 UTC by Frank Ch. Eigler
Modified: 2014-05-01 18:28 UTC (History)
5 users (show)

Fixed In Version: pcp-3.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-16 16:27:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.04 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: cgroup (140 bytes, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: core_backtrace (6.31 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: dso_list (3.12 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: environ (1.66 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: maps (16.64 KB, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: open_fds (388 bytes, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details
File: var_log_messages (458 bytes, text/plain)
2013-12-18 03:53 UTC, Frank Ch. Eigler
no flags Details

Description Frank Ch. Eigler 2013-12-18 03:53:07 UTC
Version-Release number of selected component:
pcp-3.8.10-1

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /var/lib/pcp/pmdas/rpm/pmdarpm -d 123
crash_function: luaH_getstr
executable:     /var/lib/pcp/pmdas/rpm/pmdarpm
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 3
type:           CCpp
uid:            492

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 luaH_getstr at ltable.c:458
 #1 luaH_set at ltable.c:495
 #2 luaV_settable at lvm.c:141
 #3 lua_settable at lapi.c:651
 #4 luaL_findtable at lauxlib.c:371
 #5 luaL_openlib at lauxlib.c:247
 #6 rpmReadConfigFiles at /lib64/librpm.so.3
 #7 rpm_update_cache at rpm.c:407
 #8 rpm_inotify at rpm.c:490

Comment 1 Frank Ch. Eigler 2013-12-18 03:53:12 UTC
Created attachment 838095 [details]
File: backtrace

Comment 2 Frank Ch. Eigler 2013-12-18 03:53:14 UTC
Created attachment 838096 [details]
File: cgroup

Comment 3 Frank Ch. Eigler 2013-12-18 03:53:16 UTC
Created attachment 838097 [details]
File: core_backtrace

Comment 4 Frank Ch. Eigler 2013-12-18 03:53:17 UTC
Created attachment 838098 [details]
File: dso_list

Comment 5 Frank Ch. Eigler 2013-12-18 03:53:19 UTC
Created attachment 838099 [details]
File: environ

Comment 6 Frank Ch. Eigler 2013-12-18 03:53:21 UTC
Created attachment 838100 [details]
File: limits

Comment 7 Frank Ch. Eigler 2013-12-18 03:53:23 UTC
Created attachment 838101 [details]
File: maps

Comment 8 Frank Ch. Eigler 2013-12-18 03:53:24 UTC
Created attachment 838102 [details]
File: open_fds

Comment 9 Frank Ch. Eigler 2013-12-18 03:53:26 UTC
Created attachment 838103 [details]
File: proc_pid_status

Comment 10 Frank Ch. Eigler 2013-12-18 03:53:28 UTC
Created attachment 838104 [details]
File: var_log_messages

Comment 11 Stan Cox 2014-01-15 16:35:00 UTC
This commit to reduce the number of events noticed by inotify seems to resolve the problem:
 3d0742cb49191
 Throttle inotify to only watch Packages.

Comment 12 Nathan Scott 2014-02-03 00:21:30 UTC
Updating state, setting assignment to reflect the good work Stan has done in fixing & testing here.  Fix was released upstream in pcp-3.8.12, but I overlooked adding this BZ into the changelog - sorry about that!

Comment 13 Frank Ch. Eigler 2014-03-18 00:19:16 UTC
This problem still recurs intermittently.

[269814.151162] pmdarpm[1864]: segfault at d ip 00002b76f900ffe0 sp 00002b76fb19ca40 error 4 in liblua-5.1.so[2b76f8ffc000+2b000]
[269814.151173] potentially unexpected fatal signal 11.
[269814.151175] CPU: 2 PID: 1864 Comm: pmdarpm Tainted: PF          O 3.13.5-101.fc19.x86_64 #1
[269814.151176] Hardware name: ASUS All Series/H87M-PLUS, BIOS 0306 04/07/2013
[269814.151177] task: ffff880406929140 ti: ffff8800d711a000 task.ti: ffff8800d711a000
[269814.151178] RIP: 0033:[<00002b76f900ffe0>]  [<00002b76f900ffe0>] 0x2b76f900ffe0
[269814.151189] RSP: 002b:00002b76fb19ca40  EFLAGS: 00010246
[269814.151189] RAX: 0000000000000001 RBX: 00002b76fb19ca50 RCX: 000000000000000d
[269814.151190] RDX: 0000000000000001 RSI: 00002b76fb19ca50 RDI: 0000000000000001
[269814.151190] RBP: 0000000000000000 R08: 0000000000000000 R09: 00002b76fb19cabc
[269814.151191] R10: 0000000000000005 R11: 00002b76f67f6020 R12: 00002b76fc03bf60
[269814.151192] R13: 00002b76fc03d5d0 R14: 00002b76fc03d520 R15: 00002b76fc03d540
[269814.151193] FS:  00002b76fb1a5700(0000) GS:ffff88041ec80000(0000) knlGS:0000000000000000
[269814.151193] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[269814.151194] CR2: 000000000000000d CR3: 000000032efd5000 CR4: 00000000001407e0

I don't have a core dump at this time.

Comment 14 Frank Ch. Eigler 2014-04-03 16:04:16 UTC
Please see commit 2b819ff78995c on pcpfans.git.
It appears to correct this problem.

Comment 15 Fedora Update System 2014-04-15 20:11:32 UTC
pcp-3.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.9.2-1.el6

Comment 16 Fedora Update System 2014-04-15 20:20:29 UTC
pcp-3.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.9.2-1.el5

Comment 17 Fedora Update System 2014-04-15 20:24:59 UTC
pcp-3.9.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.2-1.fc20

Comment 18 Fedora Update System 2014-04-15 20:26:30 UTC
pcp-3.9.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.2-1.fc19

Comment 19 Fedora Update System 2014-04-16 16:26:58 UTC
Package pcp-3.9.2-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.9.2-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1151/pcp-3.9.2-1.el5
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-04-16 16:27:12 UTC
pcp-3.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-04-17 06:02:17 UTC
pcp-3.9.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-04-25 04:29:03 UTC
pcp-3.9.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-05-01 18:28:20 UTC
pcp-3.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.